Device

An implantable device is any medical device that is implanted, permanently or temporarily, into a patient.

GET/v2/fhir/Device

List all devices

Returns a list of all devices. Pass attributes to filter the list of devices based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

Request

GET
/v2/fhir/Device
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/Device?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/Device/example-device",
            "resource": {
              "resourceType": "Device",
              "id": "example-device",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-implantable-device|7.0.0"
                ]
              },
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: Device</b><a name=\"udi-1\"> </a><a name=\"hcudi-1\"> </a></p><div style=\"display: inline-block; background-color: #d9e0e7; padding: 6px; margin: 4px; border: 1px solid #8da1b4; border-radius: 5px; line-height: 60%\"><p style=\"margin-bottom: 0px\">Resource Device &quot;udi-1&quot; </p><p style=\"margin-bottom: 0px\">Profile: <a href=\"StructureDefinition-us-core-implantable-device.html\">US Core Implantable Device Profile (version 7.0.0)</a></p></div><h3>UdiCarriers</h3><table class=\"grid\"><tr><td style=\"display: none\">-</td><td><b>DeviceIdentifier</b></td><td><b>CarrierHRF</b></td></tr><tr><td style=\"display: none\">*</td><td>09504000059118</td><td>(01)09504000059118(17)141120(10)7654321D(21)10987654d321</td></tr></table><p><b>status</b>: active</p><p><b>expirationDate</b>: 2014-11-20</p><p><b>lotNumber</b>: 7654321D</p><p><b>serialNumber</b>: 10987654d321</p><p><b>type</b>: Coated femoral stem prosthesis, modular <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"https://browser.ihtsdotools.org/\">SNOMED CT[US]</a>#468063009)</span></p><p><b>patient</b>: <a href=\"Patient-example.html\">Patient/example: Amy Shaw</a> &quot; SHAW&quot;</p></div>"
              },
              "udiCarrier": [
                {
                  "deviceIdentifier": "09504000059118",
                  "carrierHRF": "(01)09504000059118(17)141120(10)7654321D(21)10987654d321"
                }
              ],
              "status": "active",
              "expirationDate": "2014-11-20",
              "lotNumber": "7654321D",
              "serialNumber": "10987654d321",
              "type": {
                "coding": [
                  {
                    "system": "http://snomed.info/sct",
                    "version": "http://snomed.info/sct/731000124108",
                    "code": "468063009",
                    "display": "Coated femoral stem prosthesis, modular"
                  }
                ]
              },
              "patient": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "distinctIdentifier": "09504000059118",
              "manufactureDate": "2014-11-20"
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }